OpenCV: cv::detail::PlaneWarper Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::detail::PlaneWarper Class Reference
Images stitching » Images Warping

Warper that maps an image onto the z = 1 plane. More...

`#include "warpers.hpp"`

Inheritance diagram for cv::detail::PlaneWarper:

## Public Member Functions
| PlaneWarper (float scale=1.f)
| Construct an instance of the plane warper class. More...
virtual Rect | buildMaps (Size src_size, InputArray K, InputArray R, InputArray T, OutputArray xmap, OutputArray ymap)
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
virtual Point | warp (InputArray src, InputArray K, InputArray R, InputArray T, int interp_mode, int border_mode, OutputArray dst)
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R, InputArray T)
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Rect | warpRoi (Size src_size, InputArray K, InputArray R, InputArray T)
Public Member Functions inherited from cv::detail::RotationWarperBase< PlaneProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
float | getScale () const CV_OVERRIDE
void | setScale (float val) CV_OVERRIDE
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst) CV_OVERRIDE
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Protected Member Functions
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::RotationWarperBase< PlaneProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)

## Additional Inherited Members
Protected Attributes inherited from cv::detail::RotationWarperBase< PlaneProjector >
PlaneProjector | projector_

## Detailed Description

Warper that maps an image onto the z = 1 plane.

## Constructor & Destructor Documentation

## ◆ PlaneWarper()

cv::detail::PlaneWarper::PlaneWarper | ( | float | scale = `1.f` | ) |
| inline

Construct an instance of the plane warper class.

Parameters

  scale | Projected image scale multiplier

## Member Function Documentation

## ◆ buildMaps() [1/2]

virtual Rect cv::detail::PlaneWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| virtual

Reimplemented in cv::detail::PlaneWarperGpu.

## ◆ buildMaps() [2/2]

Rect cv::detail::PlaneWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::PlaneWarperGpu, and cv::detail::AffineWarper.

## ◆ detectResultRoi()

void cv::detail::PlaneWarper::detectResultRoi | ( | Size | src_size,
|  | Point & | dst_tl,
|  | Point & | dst_br
| ) |  |
| protectedvirtual

Reimplemented from cv::detail::RotationWarperBase< PlaneProjector >.

## ◆ warp() [1/2]

Point cv::detail::PlaneWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::PlaneWarperGpu, and cv::detail::AffineWarper.

## ◆ warp() [2/2]

virtual Point cv::detail::PlaneWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| virtual

Reimplemented in cv::detail::PlaneWarperGpu.

## ◆ warpPoint() [1/2]

Point2f cv::detail::PlaneWarper::warpPoint | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | R
| ) |  |
| virtual

Projects the image point.

Parameters

  pt | Source point
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected point

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::AffineWarper.

## ◆ warpPoint() [2/2]

Point2f cv::detail::PlaneWarper::warpPoint | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T
| ) |  |

## ◆ warpRoi() [1/2]

Rect cv::detail::PlaneWarper::warpRoi | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R
| ) |  |
| virtual

Parameters

  src_size | Source image bounding box
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected image minimum bounding box

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::AffineWarper.

## ◆ warpRoi() [2/2]

Rect cv::detail::PlaneWarper::warpRoi | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | InputArray | T
| ) |  |

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/warpers.hpp